Page MenuHomePhabricator

Decide how to prevent empty forms / senses
Closed, ResolvedPublic

Description

Each form of a lexeme must have at least one representation, and each sense of a lexeme must have at least one gloss. This is currently enforced only by the API:

We see two options to prevent this in the UI without showing an API error: we can disable the “save”/“publish” button if all representations/glosses have been removed, or we can disable the “remove” button on the last representation/gloss when there are no other representations/glosses.

Disable “save”/“publish”:

Disable “remove”:

WMDE-Design what do you think? Lydia is ok either way (see T198035#4436197).

Event Timeline

Restricted Application added a project: Design. · View Herald TranscriptJul 23 2018, 11:08 AM
Lydia_Pintscher triaged this task as High priority.Aug 1 2018, 10:43 AM

Setting to high as this decision is blocking a sprint ticket.

Lucas_Werkmeister_WMDE closed this task as Resolved.Aug 6 2018, 3:30 PM

Decision is in T198035#4469384 – we’ll go ahead with “disable ‘remove’” for now.